body, html {
    margin: 0;
    padding: 0;
    font-family: Arial, sans-serif;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

header {
    font-family: 'Roboto', Consolas, serif;
    width: 100%;
    position: relative;
}

#myNavbar a.current {
    color: rgb(44, 135, 43);
    font-weight: bold !important;
}

.red {
    color: red;
}

.footer hr {
    margin: 0 0 10px;
}

.footer {
    margin-top: auto;
    background-color: #f8f8f8;
    position: relative;
    bottom: 7px;
    width: 100%;
}

.footer .fa {
    font-size: 2.5em;
}

.footer .address {
    margin: 0 auto;
}

.footer .social-media a:hover,
.footer .social-media a:focus{
    text-decoration: unset;
}

.login-form {
    margin-top: 97px;
}

.right {
    right: 0;
    position: absolute !important;
}

nav {
    font-family: Arial, sans-serif;
}

.image-container {
    position: relative;
}

.main-image {
    width: 100%; /* Make the image 100% of the header width */
    height: auto; /* Maintain aspect ratio */
    display: block; /* Ensure it behaves as a block element */
}

.upper-left-image {

    position: absolute;
    top: 0;
    left: 0;
    width: 25vw; /* Adjust the size as needed */
}

.text-overlay {
    position: absolute;
    top: 19vw;
    left: 0;
    text-align: left;
    transform: translate(0, -50%);
    color: white;
    width: 50%; /* Adjust as needed */
    padding: 2.2vw;
}

.text-overlay h1 {
    font-size: 3vw; /* Adjust as needed */
    margin: 0;
}

.text-overlay p {
    font-size: 1.7vw; /* Adjust as needed */
    margin: 0;
}

/* Nav bar styles*/
#navbar a {
    text-decoration: none;
    font-size: 1.2em;
    color: rgb(50, 50, 50);
    transition: color 0.3s;
}

.navbar-default .navbar-nav > li > a {
    padding: 20px;
}

#navbar {
    background-color: rgb(87, 255, 65);
}
#navbar a::before,
#navbar a::after {
    content: '';
    position: absolute;
    bottom: 0;
    width: 0%;
    height: 2px;
    background-color: #4C8065;
    transition: width 0.3s;
}
#navbar a::before {
    left: 50%;
}
#navbar a::after {
    right: 50%;
}
#navbar a:hover {
    color: rgb(33,114,84);
}
#navbar a:hover::before,
#navbar a:hover::after {
    width: 50%;
}
#navbar a.current {
    color: rgb(33,114,84);
}

.edit-button-style {
    text-decoration: none;
    color:rgb(128,128,128);
}
/* end */

thead th{
    background-color: #42A362;
    padding: 10px 15px;
    border: 1px solid #d4d4d4;
    text-align: left;
}
table {
    width: 100%;
    border-collapse: collapse;
    margin-top: 20px;
    background-color: forestgreen; /* Set background color to forest green */
    border-radius: 10px; /* Add rounded borders */
    overflow: hidden; /* Hide any content overflowing from rounded corners */
    font-family: Arial, sans-serif;
    margin-bottom: 30px;
}

th, td {
    border: 1px solid #ddd;
    padding: 8px;
    text-align: center;
}

th {
    text-align: center;
}

button {
    padding: 5px 10px;
    background-color: #4CAF50;
    color: #fff;
    border: none;
    cursor: pointer;
}

.edit-button-style {
    text-decoration: none;
    color:rgb(128,128,128);
}
/* end */

/* Basic navbar and link styling */
.navbar-collapse .nav a {
    text-decoration: none;
    color: #000;  /* Adjust as needed */
    padding: 5px 10px;
    position: relative;
    transition: color 0.3s;
}

.navbar-collapse .nav a:hover {
    color: #4C8065;  /* Forest Green Color */
}

/* Green line hover effect */
.navbar-collapse .nav a::before,
.navbar-collapse .nav a::after {
    content: '';
    position: absolute;
    bottom: 0;
    width: 0%;
    height: 3px;
    background-color: #4C8065;  /* Forest Green Color */
    transition: width 0.3s;
}

.navbar-collapse .nav a::before {
    left: 50%;
}

.navbar-collapse .nav a::after {
    right: 50%;
}

.navbar-collapse .nav a:hover::before,
.navbar-collapse .nav a:hover::after {
    width: 50%;  /* Adjust this value if you want a wider or narrower green line on hover */
}
.navbar {
    /*margin-top: 5px; !* Adjust the margin as needed *!*/
    height: 60px;
}
.navbar-nav > li > a {
    padding-top: 10px; /* Adjust the padding as needed */
}
tbody tr:nth-child(even) {
    background-color: #f9f9f9;
}
tbody tr:hover {
    background-color: #e6e6e6;
}
tbody td {
    padding: 10px 15px;
    border: 1px solid #d4d4d4;
}

/* Custom CSS for centering navbar text */
.navbar-nav {
    display: flex;
    justify-content: center;
    align-items: center;
}

/* Optional: Adjust spacing between the links */
.navbar-nav > li {
    margin-right: 15px; /* Adjust the margin as needed */
}

th{
    color: #ececc7;
}
#filterButton {
    margin-right: 10px;
    padding: 8px 15px;
    border: 1px solid #ccc;
    display: inline-block;
    cursor: pointer;
    border-radius: 15px;
    width: 27%;
    height: 37px;
}

#backToPageButton {
    margin-right: 10px;
    padding: 8px 15px;
    border: 1px solid #ccc;
    display: inline-block;
    cursor: pointer;
    border-radius: 15px;
    width: 38%;
    height: 37px;
}

#filterButton:hover,
#sortOptions:hover {
    background-color: #f8f8f8;
    cursor: pointer;
}

#sortOptions{
    border: 1px solid #ccc;
    border-radius: 15px;
    padding: 8px 15px;
}

.apply-button{
    display: inline-block;
    padding: 5px 10px;
    background-color: #4CAF50;
    color: #ffffff;
    text-decoration: none;
    border-radius: 3px;
}

.apply-button:hover{
    text-decoration: none !important;
    color: white;
    background-color: #4dc052;
}

.content{
    background-color: white;
    z-index: 101; /* Higher than overlay */
    position: relative; /* Position relative to the overlay */
    top: 50px; /* Adjust as needed */
    margin: auto;
    padding: 20px;
    width: 50%; /* Adjust width as needed */
    box-shadow: 0 2px 5px rgba(0,0,0,0.2);
}
label{
    font-weight: normal;
}
input{
    border: 1px solid #ccc;
    border-radius: 7px;
}
/* Adjustments for overlaying the filter content */
.overlay {
    position: fixed; /* Use fixed positioning */
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5); /* Semi-transparent background */
    display: none; /* Initially hidden */
    z-index: 100; /* High z-index to be on top */
}
/*Data Entry Submit Button Styles*/
#dataEntrySubmitButton {
    padding: 5px 15px;
    font-size: 1.1em;
    height: 36px;
    width: 100px;
    background-color: #4CAF50;
    color: whitesmoke;
}

#dataEntrySubmitButton:hover {
    background-color: #4dc052;
}
#job-types{
    font-size: 18px;
}
/* Apply a solid box shadow to the checkbox on label hover */
label:hover input[type="checkbox"] {
    box-shadow: 0 0 0 1px #388E3C;
    transition: box-shadow 0.3s;
}

.announcement-title {
    width: 100%;
    border: 1px solid #838383;
}

.announcement-description {
    width: 100%;
    border: 1px solid #838383;
}

.announcement-form {
    width: 2000px;
}

.login-button {
    background-color: #4CAF50 !important;
    border: none !important;
}

.login-button:hover {
    background-color: #4dc052 !important;
}

#hiddenContent {
    /* Creates a rounded boarder around the keyword filter pop-up box*/
    display: none;
    border-radius: 15px;
}

.deletedContent {
    background-color: #cbcbcb !important;
    color: #13470e !important;
}

input:focus,
textarea:focus{
    border-color: #4CAF50 !important;
    outline: 0 !important;
    -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(102,175,233,.6) !important;
    box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgb(20 161 36 / 60%) !important;
}

button {
    background-color: #4CAF50;
}

button:hover {
    background-color: #4dc052;
}

